Bug 834521 - service tgtd killed by signal KILL
service tgtd killed by signal KILL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scsi-target-utils (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 04:49 EDT by Sergey
Modified: 2014-02-05 17:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:46:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey 2012-06-22 04:49:37 EDT
Description of problem:

After reboot service tgtd does not start:

[root@server2 ~]# service tgtd status
Redirecting to /bin/systemctl  status tgtd.service
tgtd.service - tgtd iSCSI target daemon
          Loaded: loaded (/usr/lib/systemd/system/tgtd.service; enabled)
          Active: failed (Result: signal) since Fri, 22 Jun 2012 14:14:24 +0300; 6s ago
         Process: 585 ExecStop=/usr/sbin/tgtadm --op update --mode sys --name State -v offline (code=exited, status=107)
         Process: 575 ExecStartPost=/usr/sbin/tgtadm --op update --mode sys --name State -v offline (code=exited, status=107)
         Process: 571 ExecStart=/usr/sbin/tgtd -f $TGTD_OPTS (code=killed, signal=KILL)
          CGroup: name=systemd:/system/tgtd.service

Jun 22 14:12:54 server2 tgtd[571]: tgtd: work_timer_start(146) use timer_fd based scheduler
Jun 22 14:12:54 server2 tgtd[571]: tgtd: bs_init(313) use signalfd notification


Part of /var/log/message :

Jun 22 14:37:29 server2 systemd[1]: tgtd.service stopping timed out. Killing.
Jun 22 14:37:29 server2 systemd[1]: tgtd.service: main process exited, code=killed, status=9
Jun 22 14:37:29 server2 systemd[1]: Unit tgtd.service entered failed state.

Command 'service tgtd start' brings service online.

Version-Release number of scsi-target-utils : 1.0.24-1.fc17


How reproducible:
After boot|reboot always

Steps to Reproduce:
1. Install Fedora 17 x86_64 minimal
2. # yum update
3. # yum install scsi-target-utils
4. # chkconfig tgtd on
5. # reboot
  
Additional info:
Network interfaces controlled by NetworkManager.
Comment 1 Sergey 2012-06-22 05:47:03 EDT
I modified my tgtd.service file and service start succesfully.
It looks that:

[Unit]
Description=tgtd iSCSI target daemon
#After=network.target       #this is default
After=NetworkManager.service # Here my changes

[Service]
EnvironmentFile=/etc/sysconfig/tgtd

ExecStart=/usr/sbin/tgtd -f $TGTD_OPTS
# Put tgtd into "offline" state until all the targets are configured.
# We don't want initiators to (re)connect and fail the connection
# if it's not ready.
ExecStartPost=/usr/sbin/tgtadm --op update --mode sys --name State -v offline
# Configure the targets.
ExecStartPost=/usr/sbin/tgt-admin -e -c $TGTD_CONFIG
# Put tgtd into "ready" state.
ExecStartPost=/usr/sbin/tgtadm --op update --mode sys --name State -v ready

# Update configuration for targets. Only targets which
# are not in use will be updated.
ExecReload=/usr/bin/tgt-admin --update ALL -c $TGTD_CONFIG

# NOTE: Shutdown of the iscsi target may cause data corruption
# for initiators that are connected.
ExecStop=/usr/sbin/tgtadm --op update --mode sys --name State -v offline
# Remove all targets. It only removes targets which are not in use.
ExecStop=/usr/sbin/tgt-admin --update ALL -c /dev/null
# tgtd will exit if all targets were removed
ExecStop=/usr/sbin/tgtadm --op delete --mode system

[Install]
WantedBy=multi-user.target
Comment 2 Pádraig Brady 2012-07-30 19:50:45 EDT
I notice a /usr/bin/tgt-admin there.
Should that be /usr/sbin/tgt-admin ?
Comment 3 Sergey 2012-08-06 14:55:20 EDT
(In reply to comment #2)
> I notice a /usr/bin/tgt-admin there.
> Should that be /usr/sbin/tgt-admin ?

I don't change this string!
There probably standalone bug in 'scsi-target-utils' package?
Comment 4 Pádraig Brady 2012-08-06 17:08:36 EDT
Sure.

I thought that typo might have impacted your bug,
but looking at your change, probably not.
I'll submit a separate patch for comment 3 so.
Comment 5 Erik Logtenberg 2013-03-04 06:15:36 EST
What is the status of this bug? I see the same thing happening, after reboot, tgtd won't start. My logfiles look alike. If additional information is required please indicate what is needed, so I can provide the right info.
Comment 6 Fedora End Of Life 2013-07-04 01:34:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Erik Logtenberg 2013-07-04 07:35:49 EDT
So... what is the status of this bug? Can anyone, for instance the bug reporter, give a quick update?

Additionally, I think the "version" field should be upped to 18, as suggested in Comment #6.
Comment 8 Fedora End Of Life 2013-12-21 10:03:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 17:46:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.